/*>>> print.h: subprogram prototypes for print.c */

/*===================  Spector: A Chessplaying Program  ===================*/
/*==  Copyright (C) 1996 by Steven James Edwards.  All rights reserved.  ==*/

void PrChar(char c);
void PrCharNoDribble(char c);
void PrCharFlush(char c);
void PrCharSEO(char c);
void PrStr(charptrT s);
void PrStrN(charptrT s, siT n);
void PrBlankStr(charptrT s);
void PrBlanksStr(siT n, charptrT s);
void PrNStr(charptrT s, siT n);
void PrNTSStr(charptrT s);
void PrStrNoDribble(charptrT s);
void PrTwoStrs(charptrT s0, charptrT s1);
void PrThreeStrs(charptrT s0, charptrT s1, charptrT s2);
void PrNL(void);
void PrNLNoDribble(void);
void PrCharNL(char c);
void PrTwoStrsNL(charptrT s0, charptrT s1);
void PrThreeStrsNL(charptrT s0, charptrT s1, charptrT s2);
void PrSTV(void);
void PrSTVNL(void);
void PrLine(charptrT s);
void PrErr(charptrT s);
void PrErrSTV(void);
void PrNote(charptrT s);
void PrWarning(charptrT s);
void PrTrace(charptrT s);
void PrStrNoTrailingBlanks(charptrT s);
void PrBlank(void);
void PrBlanks(siT n);
void PrLogoBanner(void);
void PrInformationBanner(void);
void PrTimestamp(void);
void PrSI(siT n);
void PrHexDWordLI(liT n);
void PrTwoDigitSI(siT n);
void PrLI(liT n);
void PrStrLI(charptrT s, liT n);
void PrStrLINL(charptrT s, liT n);
void PrPointer(voidptrT s);
void PrStrSI(charptrT s, siT n);
void PrStrSINL(charptrT s, siT n);
void PrCondOrdSI(siT n);
void PrCondOrdSINL(siT n);
void PrCondOrdLI(liT n);
void PrCondOrdLINL(liT n);
void PrStrCondOrdLINL(charptrT s, liT n);
void PrNil(void);
void PrPlayer(cT c);
void PrColor(cT c);
void PrPiece(pT p);
void PrColorChar(cT c);
void PrPieceChar(pT p);
void PrColorPiece(cpT cp);
void PrBlankColorPiece(cpT cp);
void PrFileChar(fileT f);
void PrRankChar(rankT r);
void PrSq(sqT sq);
void PrBlankSq(sqT sq);
void PrBlankColorPieceSq(cpT cp, sqT sq);
void PrSpecialCaseIndication(scmvT scmv);
void PrSqList(bbT bb);
void PrBitBoard(bbT bb);
void PrBitBoardVector(bbT bb);
void PrBoard(rbptrT rbptr);
void PrCentipawn(cpevT cpev);
void PrStrCentipawn(charptrT s, cpevT cpev);
void PrStrCentipawnNL(charptrT s, cpevT cpev);
void PrMillipawn(mpevT mpev);
void PrStrMillipawn(charptrT s, mpevT mpev);
void PrABS(cpevT alpha, cpevT beta, cpevT score);
void PrFrequencyLQ(liT num, liT den);
void PrIntervalLQ(liT num, liT den);
void PrFrequencyReport(liT dn, liT dt);
void PrExecFrequencyReport(liT start_exec, time_t start_time);
void PrSearchFrequencyReport(liT start_node, time_t start_time);
void PrCompactMove(cmT cm);
void PrMovesetFlags(sptrT sptr);
void PrMoveFlags(mptrT mptr);
void PrTM(tmptrT tmptr);
void PrPaddedSAN(mptrT mptr);
void PrSAN(mptrT mptr);
void PrSANNL(mptrT mptr);
void PrStrSANNL(charptrT s, mptrT mptr);
void PrStrSAN(charptrT s, mptrT mptr);
void PrSANSortList(sptrT sptr);
void PrExpandedSAN(mptrT mptr);
void PrCondExpandedSAN(mptrT mptr);
void PrMovePath(sptrT sptr);
void PrCurrentPath(void);
void PrStrGameStatusNL(charptrT s, gsT gs);
void PrCurrentTimeControl(void);
void PrExpandedTime(liT t);

/*<<< print.h: EOF */
